Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Magic Launcher and Forge


  • Please log in to reply
31 replies to this topic

#1

baxdar
    baxdar

    Tree Puncher

  • Members
  • 18 posts
  • Location: Below Bedrock
  • Minecraft: baxdar

Posted 02 December 2012 - 05:01 PM

So... I'm trying to run a whole ton of mods and for some i need Forge and fml.  I'm using magic launcher.  I put in both Forge and fml with fml above forge (to be loaded first).  Magi launcher tells me i have one error.  If i put forge above it says there is one error with forge and fml is not compatible. Running each individually it says there is one error.  Why?

Register or log in to remove.

#2

rsod
    rsod

    Iron Miner

  • Members
  • 268 posts

Posted 02 December 2012 - 05:21 PM

Quote

Magic Launcher
Why people using this or same stupid launchers? use original launcher or command line and have no problems. And mklink to switch between minecrafts.

#3

baxdar
    baxdar

    Tree Puncher

  • Members
  • 18 posts
  • Location: Below Bedrock
  • Minecraft: baxdar

Posted 02 December 2012 - 05:31 PM

magic launcher makes modding ten times easier and it's not the launcher that's the problem, it's the mods.  I need to know if I'm doing something wrong or if I need a different mod

#4

Laskeri
    Laskeri

    Nether Resident

  • Members
  • 2104 posts

Posted 02 December 2012 - 06:29 PM

FML comes packaged with Forge. You only need to put Forge in. It will say 1 error, even if you put it first, but it will work without problems.

#5

baxdar
    baxdar

    Tree Puncher

  • Members
  • 18 posts
  • Location: Below Bedrock
  • Minecraft: baxdar

Posted 02 December 2012 - 07:49 PM

not true i ran it like that and minecraft would go to the mojang screen and then it would go black

#6

AgebtDaxter
  • Location: In spaaaaaaaace
  • Minecraft: agentdaxter

Posted 03 December 2012 - 04:22 AM

I have the same problem. Every time I try to use forge it says 'one error'. Please Help!

#7

Darkhax
    Darkhax

    Haxor Moderator

  • Sectional Moderator
  • Curse Premium
  • 4074 posts
  • Location: Canada.
  • Minecraft: darkhax

Posted 03 December 2012 - 06:30 AM

fml is part of forge. fml comes with forge when you download it. i know this to be true as i make mods. if you are getting a black screen when only forge is installed i would recommend looking at the mods you have installed for incompatibilities.

Posted Image


#8

CoffeeCone
  • Minecraft: CoffeeCone

Posted 03 December 2012 - 07:09 AM

I'm having this problem too. I just want to try out Dynamic Lights but it unfortunately requires forge. ModLoader didn't have any errors on me though.

Posted Image

#9

Mokradin
  • Location: France
  • Minecraft: Mokradin

Posted 03 December 2012 - 09:17 AM

View PostCoffeeCone, on 03 December 2012 - 07:09 AM, said:

I'm having this problem too. I just want to try out Dynamic Lights but it unfortunately requires forge. ModLoader didn't have any errors on me though.

Put Dynamic Lights into the coremods not the mod folder, or try MultiMC.
Posted Image

#10

Shinoow
    Shinoow

    Carpenter

  • Curse Premium
  • Curse Premium
  • 45 posts
  • Location: Somewhere in minecraft.jar
  • Minecraft: shinoow

Posted 03 December 2012 - 10:01 AM

As far as I know, custom launchers aren't compattible with the forge 6.x since it has some changes that the custom launcher won't run with. I don't remember all of it, but as far as I've checked, you'll need to change the sourcecode of the custom launcher if you want it working with forge
Developer of the AbyssalCraft mod, check it out!

#11

Mokradin
  • Location: France
  • Minecraft: Mokradin

Posted 03 December 2012 - 10:07 AM

View PostShinoow, on 03 December 2012 - 10:01 AM, said:

As far as I know, custom launchers aren't compattible with the forge 6.x since it has some changes that the custom launcher won't run with. I don't remember all of it, but as far as I've checked, you'll need to change the sourcecode of the custom launcher if you want it working with forge

MultiMC works with all forge versions without any changes
Posted Image

#12

Ioandar
    Ioandar

    Stone Miner

  • Members
  • 96 posts

Posted 03 December 2012 - 10:53 AM

I still like and use Magiclauncher. Even with the newest Forge and ic2, forestry, buildcraft, Thaumcraft3 and all

Here an older Post with my setup (totady its basicly the same but now with much more mods :)

http://www.minecraft...st__p__18800798

#13

Shinoow
    Shinoow

    Carpenter

  • Curse Premium
  • Curse Premium
  • 45 posts
  • Location: Somewhere in minecraft.jar
  • Minecraft: shinoow

Posted 03 December 2012 - 01:35 PM

View PostMokradin, on 03 December 2012 - 10:07 AM, said:

MultiMC works with all forge versions without any changes
Yeah, I checked that up, probably something I should consider using, since I mess around with mods alot, and I need something for forge mods.
Developer of the AbyssalCraft mod, check it out!

#14

true_jokekid

Posted 03 December 2012 - 02:46 PM

i found the fix to this issue:

make a backup of the minecraft.jar and call it whatever (i called it minecraft forge.jar)

first instal MODLOADER into the forge.jar, then, delete META-INF, and install forge AFTER doing this, now in the setup of magic launcher select the forge.jar and get rid of forge as an internal mod since it'll be duplicate, now just enjoy adding tons of mods :P

#15

migasangelo
  • Location: craft ville
  • Minecraft: miguelurbie

Posted 03 December 2012 - 02:51 PM

forge always showed 1 error for me, but it will open and work any way...

Posted Image


#16

aspade01
  • Minecraft: aspade_01

Posted 04 December 2012 - 12:13 AM

Did some testing with a mod that requires forge today and as long as I put forge first in my mods list on magic launcher it seems to be working perfect. Does show 1 error, but is not having any noticeably negative effects on my minecraft.

#17

Hov
    Hov

    Gold Miner

  • Members
  • 479 posts

Posted 04 December 2012 - 12:25 AM

Use MultiMC and you won't have those problems.

#18

CoffeeCone
  • Minecraft: CoffeeCone

Posted 04 December 2012 - 06:33 AM

Finally fixed Forge API on MagicLauncher! Turns out, I had the thought that 1.4.4 mods work for 1.4.5. I re-visited http://files.minecraftforge.net/ and found that there was a new version for 1.4.5 specifically. I downloaded this, popped it onto MagicLauncher, and ran. All's well now and I can finally use Dynamic Lights (yey). And yes, there's still 1 error but it works so yeah.

#19

cpw
    cpw

    Zombie Killer

  • Curse Premium
  • Curse Premium
  • 211 posts

Posted 04 December 2012 - 08:12 PM

Magic Launcher works fine with FML and Forge. I write FML and use Magic Launcher. Heh. Always makes me laugh. Also, the errors thing in Magic Launcher is just noise. Ignore it.
A cool banner was here, but it has been removed

#20

awesomeness04

Posted 06 December 2012 - 03:38 AM

wrong post. screw tabs.